package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WXAccount;
import com.sa.ibiz.demo.demo.service.dto.WXAccountSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WXAccount] 服务对象接口
 */
public interface WXAccountService extends IService<WXAccount>{

		WXAccount syncOrgSector(WXAccount et);
		WXAccount pubMenu(WXAccount et);
	boolean remove(WXAccount et);
		WXAccount get(WXAccount et);
	boolean create(WXAccount et);
		WXAccount syncOrgUser(WXAccount et);
	boolean update(WXAccount et);
	boolean getDraft(WXAccount et);
	boolean checkKey(WXAccount et);
    List<WXAccount> listDefault(WXAccountSearchFilter filter) ;
	Page<WXAccount> searchDefault(WXAccountSearchFilter filter);
	/**	 实体[WXAccount] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }